## NAME

           originator - Associate seamounts with hotspot point sources

## SYNOPSIS

           originator  [infile(s)]  -Estage_file  -Fhs_file  [  -C  ] [ -Dd_km ] [
           -H[nrec] ] [ -Nupper_age ] [ -S[n_hs] ] [ -T ] [ -V ] -Wmaxdist ] [  -:
           ] [ -bi[s][n] ]

## DESCRIPTION

           originator  reads  (longitude,  latitude,  height, radius, crustal_age)
           records from infiles [or standard input] and uses  the  given  Absolute
           Plate  Motion  (APM)  stage  poles and the list of hotspot locations to
           determine the most likely origin (hotspot) for each seamount.  It  does
           so  by  calculating  flowlines back in time and determining the closest
           approach to all hotspots. The output consists of the input records with
           four additional fields added for each of the n_hs closest hotspots. The
           four fields are the hotspot id (e.g., HWI), the stage id of  the  flow-
           line segment that came closest, the pseudo-age of the seamount, and the
           closest distance to the hotspot (in km).  See option -: on how to  read
           (latitude, longitude,height, radius, crustal_ag) files.
                   No  space between the option flag and the associated arguments.
           Use upper case for the option flags and lower case for modifiers.

           infile(s)
                  Seamount data file(s) to be analyzed.  If  not  given,  standard
                  input is read.

           -E     Give  file  with  stage poles and opening angles. This file must
                  contain one record for each stage; each record must  be  of  the
                  following format:

                          lon lat tstart tstop ccw-angle

                  where tstart and tstop are in Ma and the rest is in degrees. The
                  oldest stage must be listed first. tstart (tstop) is the age  of
                  the  old (young) end of the stage. Blank lines and records whose
                  first column contains # will be ignored.

           -F     Give file with hotspot locations. This  file  must  contain  one
                  record for each hotspot to be considered; each record must be of
                  the following format:

                          lon lat hs_id hs_name

                  E.g., for Hawaii this may look like

                  205 20 HWI Hawaii

                  Blank lines and records whose first column contains  #  will  be
                  ignored.

## OPTIONS

           -C     Expect  Total  Reconstruction  Poles  (Finite Poles) rather than
                  Backward Stage Poles [Default] File format  is  similar  to  the
                  stage  pole  format  except the youngest rotation must be listed

           -N     Set  the maximum age to extend the oldest stage back in time [no
                  extension].

           -S     Set the number of closest hotspots to report [Default is 1].

           -T     Truncate seamount ages exceeding the upper age set with  -N  [no
                  truncation].

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -W     Only report those seamounts whose flowlines came within  maxdist
                  to any hotspot [Default reports all seamounts].

           -:     Toggles  between  (longitude,latitude)  and (latitude,longitude)
                  input and/or output. [Default is (longitude,latitude)].   Append
                  i  to  select  input  only  or o to select output only. [Default
                  affects both].

           -bi    Selects binary input. Append s for single precision [Default  is
                  double].   Append  n  for  the  number  of columns in the binary
                  file(s).
                  [Default is 5 input columns].

## EXAMPLES

           To find the likely (hotspot) origins of the  seamounts  represented  by
           the (x,y,z,r,tc) points in the file seamounts.d, using the DC85.d Euler
           poles and the pac_hs.d list of possible hotspots, and report the 2 most
           likely hotspot candidates for each seamount, run

           originator seamounts.d -S2 -EDC85.d -Fpac_hs.d > origins.d

## SEE ALSO

           gmt(GMTMANSECTION),  project(GMTMANSECTION), mapproject(GMTMANSECTION),
           backtracker(GMTMANSECTION) hotspotter(GMTMANSECTION)

## REFERENCES

           Wessel, P., 1999, "Hotspotting" tools  released,  EOS  Trans.  AGU,  80
           (29), p. 319.

    GMT4.0                            1 Oct 2004         ORIGINATOR(GMTMANSECTION)